### Property

# Gtk CellRendererProgress:pulse

since: 4.0

#### Declaration

    property pulse: int [ read, write ]

#### Description [src]

Setting this to a non-negative value causes the cell renderer to enter “activity mode”, where a block bounces back and forth to indicate that some progress is made, without specifying exactly how much.

Each increment of the property causes the block to move by a little bit.

To indicate that the activity has not started yet, set the property to zero. To indicate completion, set the property to `G_MAXINT`.

Type: | `gint`
Available since: | 4.0

Default value | -1

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no